﻿using SqlSugar;
using System;
using System.Runtime.Serialization;

namespace WCS.Entity
{
    /// <summary>
    ///  Wcs异常信息记录
    /// </summary>
    [Tenant("sx")]
    [SugarTable("Base_ErrorInfo_Wcs")]
    public partial class BaseErrorinfoWcs
    {
        /// <summary>
        /// ID
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true, ColumnDescription = "ID")]
        public int ID { get; set; }
        /// <summary>
        /// 工字轮条码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string ContBarCode { get; set; }

        /// <summary>
        ///  异常描述信息
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", IsNullable = true)]
        public string Message { get; set; }
        /// <summary>
        /// 次数
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = true)]
        public int Count { get; set; }
        /// <summary>
        ///  memo
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", IsNullable = true)]
        public string Memo { get; set; }
        /// <summary>
        /// AddTime
        /// </summary>
        [SugarColumn(ColumnDataType = "datetime", IsNullable = false)]
        public DateTime AddTime { get; set; } = DateTime.Now;
    }
}
