﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WCS.Core;

namespace WCS.WorkEngineering.Worlds
{
    /// <summary>
    /// 堆垛机
    /// </summary>
    [Description("堆垛机")]
    public class SRMWorld : WorldWithLog
    {
        public SRMWorld()
        {
        }
        protected override void AfterUpdate(List<WorkTimes> list)
        {
            base.AfterUpdate(list);
            var wt = new WorkTimes();
            wt.Key = "堆垛机保存文本日志";
            var sw = new Stopwatch();
            sw.Start();
            SaveFileLog();
            sw.Stop();
            wt.Total = sw.ElapsedMilliseconds;
            list.AddSafe(wt);
        }
    }
}
