﻿using SqlSugar;
using System;
using System.Runtime.Serialization;

namespace WCS.Entity
{
    /// <summary>
    /// 任务表
    /// </summary>
    [SugarTable(nameof(V_TaskOut), "出库视图")]
    [DataContract]
    public class V_TaskOut
    {
        [DataMember(Order =0)]
        public int Task1 { get; set; }
        [DataMember(Order =1)]
        public int Type1 { get; set; }
        [DataMember(Order = 2)]
        public string BusType1 { get; set; }
        [DataMember(Order = 3)]
        public short Row1 { get; set; }
        [DataMember(Order = 4)]
        public short Col1 { get; set; }
        [DataMember(Order = 5)]
        public short Layer1 { get; set; }
        [DataMember(Order = 6)]

        public int Task2 { get; set; }
        [DataMember(Order = 7)]
        public int Type2 { get; set; }
        [DataMember(Order = 8)]
        public string BusType2 { get; set; }
        [DataMember(Order = 9)]
        public short Row2 { get; set; }
        [DataMember(Order = 10)]
        public short Col2 { get; set; }
        [DataMember(Order = 11)]
        public short Layer2 { get; set; }
        [DataMember(Order = 12)]
        public string SRM { get; set; }
        [DataMember(Order = 13)]
        public string AddrTo { get; set; }

    }

    public class LocInfo
    {
        public string Code { get; set; }
        public int Row { get; set; }
        public int Col { get; set; }
        public int Layer { get; set; }
        public int Depth { get; set; }
    }

}
