﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WCS.Core;
using WCS.Entity.Protocol.Station;

namespace WCS.WorkEngineering.Systems.扭转检测
{
    public class QTStation : Device<IQTStation>
    {
        static int[] arr = new int[] { 4019, 4042, 4049, 4072, 4079, 4096, 4119, 4126, 4149, 4156 };
        public Device<IStation520, IStation521, IStation523> ConvIn { get; private set; }
        public Device<IStation520, IStation521, IStation523> ConvOut { get; private set; }
        public QTStation(Device ent,World world) : base(ent, world)  
        {
            var code = int.Parse(ent.Code.Replace("QT", ""));
            var c = arr[code - 1];
            ConvIn = new Device<IStation520, IStation521, IStation523>(Device.Find(c.ToString()), world);
            c = c + 1;
            ConvOut= new Device<IStation520, IStation521, IStation523>(Device.Find(c.ToString()), world);
        }
    }

    public interface IQTStation
    { 
        
    }
}
