﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WCS.Core;

namespace WCS.WorkEngineering.Worlds
{
    /// <summary>
    /// 码垛主世界
    /// </summary>
    [Description("码垛主世界")]
    public class PalletizingWorld : WorldWithLog
    {
        public PalletizingWorld()
        {
        }

        protected override void AfterUpdate(List<WorkTimes> list)
        {
            base.AfterUpdate(list);
            var wt = new WorkTimes();
            wt.Key = "保存文本日志";
            var sw = new Stopwatch();
            sw.Start();
            SaveFileLog();
            sw.Stop();
            wt.Total = sw.ElapsedMilliseconds;
            list.AddSafe(wt);
        }

    }
}
